<html>
<head>
<title>OgreSceneManager.h File Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>File&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="dir_aff4b7fb8d70b825eb8a2d7b3cbd2684.html">OgreMain</a>      </li>
      <li class="navelem"><a class="el" href="dir_5049b8c488e02232e72cb8867fab4a28.html">include</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#namespaces">Namespaces</a> &#124;
<a href="#typedef-members">Typedefs</a> &#124;
<a href="#enum-members">Enumerations</a>  </div>
  <div class="headertitle">
<div class="title">OgreSceneManager.h File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &quot;<a class="el" href="OgrePrerequisites_8h_source.html">OgrePrerequisites.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="OgreString_8h_source.html">OgreString.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="OgreSceneNode_8h_source.html">OgreSceneNode.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="OgrePlane_8h_source.html">OgrePlane.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="OgreQuaternion_8h_source.html">OgreQuaternion.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="OgreColourValue_8h_source.html">OgreColourValue.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="OgreCommon_8h_source.html">OgreCommon.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="OgreSceneQuery_8h_source.html">OgreSceneQuery.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="OgreAutoParamDataSource_8h_source.html">OgreAutoParamDataSource.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="OgreAnimationState_8h_source.html">OgreAnimationState.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="OgreRenderQueue_8h_source.html">OgreRenderQueue.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="OgreRenderQueueSortingGrouping_8h_source.html">OgreRenderQueueSortingGrouping.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="OgreRectangle2D_8h_source.html">OgreRectangle2D.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="OgrePixelFormat_8h_source.html">OgrePixelFormat.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="OgreResourceGroupManager_8h_source.html">OgreResourceGroupManager.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="OgreTexture_8h_source.html">OgreTexture.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="OgreShadowCameraSetup_8h_source.html">OgreShadowCameraSetup.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="OgreShadowTextureManager_8h_source.html">OgreShadowTextureManager.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="OgreCamera_8h_source.html">OgreCamera.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="OgreInstancedGeometry_8h_source.html">OgreInstancedGeometry.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="OgreLodListener_8h_source.html">OgreLodListener.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="OgreInstanceManager_8h_source.html">OgreInstanceManager.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="OgreRenderSystem_8h_source.html">OgreRenderSystem.h</a>&quot;</code><br/>
</div>
<p><a href="OgreSceneManager_8h_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1ViewPoint.html">Ogre::ViewPoint</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Structure for holding a position &amp; orientation pair.  <a href="structOgre_1_1ViewPoint.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1VisibleObjectsBoundsInfo.html">Ogre::VisibleObjectsBoundsInfo</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Structure collecting together information about the visible objects that have been discovered in a scene.  <a href="structOgre_1_1VisibleObjectsBoundsInfo.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SceneManager.html">Ogre::SceneManager</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Manages the organisation and rendering of a 'scene' i.e.  <a href="classOgre_1_1SceneManager.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1SceneManager_1_1materialLess.html">Ogre::SceneManager::materialLess</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Comparator for material map, for sorting materials into render order (e.g.  <a href="structOgre_1_1SceneManager_1_1materialLess.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1SceneManager_1_1lightLess.html">Ogre::SceneManager::lightLess</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Comparator for sorting lights relative to a point.  <a href="structOgre_1_1SceneManager_1_1lightLess.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1SceneManager_1_1SkyDomeGenParameters.html">Ogre::SceneManager::SkyDomeGenParameters</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1SceneManager_1_1SkyPlaneGenParameters.html">Ogre::SceneManager::SkyPlaneGenParameters</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1SceneManager_1_1SkyBoxGenParameters.html">Ogre::SceneManager::SkyBoxGenParameters</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SceneManager_1_1Listener.html">Ogre::SceneManager::Listener</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Class that allows listening in on the various stages of <a class="el" href="classOgre_1_1SceneManager.html" title="Manages the organisation and rendering of a &#39;scene&#39; i.e.">SceneManager</a> processing, so that custom behaviour can be implemented from outside.  <a href="classOgre_1_1SceneManager_1_1Listener.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SceneManager_1_1SceneMgrQueuedRenderableVisitor.html">Ogre::SceneManager::SceneMgrQueuedRenderableVisitor</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Inner helper class to implement the visitor pattern for rendering objects in a queue.  <a href="classOgre_1_1SceneManager_1_1SceneMgrQueuedRenderableVisitor.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1SceneManager_1_1LightInfo.html">Ogre::SceneManager::LightInfo</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Cached light information, used to tracking light's changes.  <a href="structOgre_1_1SceneManager_1_1LightInfo.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1SceneManager_1_1MovableObjectCollection.html">Ogre::SceneManager::MovableObjectCollection</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Simple structure to hold <a class="el" href="classOgre_1_1MovableObject.html" title="Abstract class defining a movable object in a scene.">MovableObject</a> map and a mutex to go with it.  <a href="structOgre_1_1SceneManager_1_1MovableObjectCollection.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1SceneManager_1_1LightClippingInfo.html">Ogre::SceneManager::LightClippingInfo</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Struct for cacheing light clipping information for re-use in a frame.  <a href="structOgre_1_1SceneManager_1_1LightClippingInfo.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1SceneManager_1_1lightsForShadowTextureLess.html">Ogre::SceneManager::lightsForShadowTextureLess</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Default sorting routine which sorts lights which cast shadows to the front of a list, sub-sorting by distance.  <a href="structOgre_1_1SceneManager_1_1lightsForShadowTextureLess.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1SceneManager_1_1RenderContext.html">Ogre::SceneManager::RenderContext</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SceneManager_1_1ShadowCasterSceneQueryListener.html">Ogre::SceneManager::ShadowCasterSceneQueryListener</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Inner class to use as callback for shadow caster scene query.  <a href="classOgre_1_1SceneManager_1_1ShadowCasterSceneQueryListener.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1DefaultIntersectionSceneQuery.html">Ogre::DefaultIntersectionSceneQuery</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Default implementation of <a class="el" href="classOgre_1_1IntersectionSceneQuery.html" title="Separate SceneQuery class to query for pairs of objects which are possibly intersecting one another...">IntersectionSceneQuery</a>.  <a href="classOgre_1_1DefaultIntersectionSceneQuery.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1DefaultRaySceneQuery.html">Ogre::DefaultRaySceneQuery</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Default implementation of <a class="el" href="classOgre_1_1RaySceneQuery.html" title="Specialises the SceneQuery class for querying along a ray.">RaySceneQuery</a>.  <a href="classOgre_1_1DefaultRaySceneQuery.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1DefaultSphereSceneQuery.html">Ogre::DefaultSphereSceneQuery</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Default implementation of <a class="el" href="classOgre_1_1SphereSceneQuery.html" title="Specialises the SceneQuery class for querying within a sphere.">SphereSceneQuery</a>.  <a href="classOgre_1_1DefaultSphereSceneQuery.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1DefaultPlaneBoundedVolumeListSceneQuery.html">Ogre::DefaultPlaneBoundedVolumeListSceneQuery</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Default implementation of <a class="el" href="classOgre_1_1PlaneBoundedVolumeListSceneQuery.html" title="Specialises the SceneQuery class for querying within a plane-bounded volume.">PlaneBoundedVolumeListSceneQuery</a>.  <a href="classOgre_1_1DefaultPlaneBoundedVolumeListSceneQuery.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1DefaultAxisAlignedBoxSceneQuery.html">Ogre::DefaultAxisAlignedBoxSceneQuery</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Default implementation of <a class="el" href="classOgre_1_1AxisAlignedBoxSceneQuery.html" title="Specialises the SceneQuery class for querying within an axis aligned box.">AxisAlignedBoxSceneQuery</a>.  <a href="classOgre_1_1DefaultAxisAlignedBoxSceneQuery.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1SceneManagerMetaData.html">Ogre::SceneManagerMetaData</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Structure containing information about a scene manager.  <a href="structOgre_1_1SceneManagerMetaData.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SceneManagerFactory.html">Ogre::SceneManagerFactory</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Class which will create instances of a given <a class="el" href="classOgre_1_1SceneManager.html" title="Manages the organisation and rendering of a &#39;scene&#39; i.e.">SceneManager</a>.  <a href="classOgre_1_1SceneManagerFactory.html#details">More...</a><br/></td></tr>
<tr><td colspan="2"><h2><a name="namespaces"></a>
Namespaces</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">namespace &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceOgre.html">Ogre</a></td></tr>
<tr><td colspan="2"><h2><a name="typedef-members"></a>
Typedefs</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef uint16&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__Scene.html#gaa4b6dbd7bf722582a21fcc25d25f73ed">Ogre::SceneTypeMask</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Bitmask containing scene types.  <a href="group__Scene.html#gaa4b6dbd7bf722582a21fcc25d25f73ed"></a><br/></td></tr>
<tr><td colspan="2"><h2><a name="enum-members"></a>
Enumerations</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__Scene.html#ga7383602bd480d43b80c626969b9af914">Ogre::SceneType</a> { <br/>
&#160;&#160;<a class="el" href="group__Scene.html#gga7383602bd480d43b80c626969b9af914a0af8f844019e52fe112e9a946a919fcd">Ogre::ST_GENERIC</a> =  1, 
<a class="el" href="group__Scene.html#gga7383602bd480d43b80c626969b9af914ae83ae1c9a6e4816184441db4a140e70a">Ogre::ST_EXTERIOR_CLOSE</a> =  2, 
<a class="el" href="group__Scene.html#gga7383602bd480d43b80c626969b9af914a8bf5864d5ab311e0512ed153c95f1d13">Ogre::ST_EXTERIOR_FAR</a> =  4, 
<a class="el" href="group__Scene.html#gga7383602bd480d43b80c626969b9af914a7eecd7057b3487616075032560582ec1">Ogre::ST_EXTERIOR_REAL_FAR</a> =  8, 
<br/>
&#160;&#160;<a class="el" href="group__Scene.html#gga7383602bd480d43b80c626969b9af914a93f2170ad3a8132f29264dc3642a2dcf">Ogre::ST_INTERIOR</a> =  16
<br/>
 }</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Classification of a scene to allow a decision of what type of SceenManager to provide back to the application.  <a href="group__Scene.html#ga7383602bd480d43b80c626969b9af914">More...</a><br/></td></tr>
</table>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:53
</p>
</body>
</html>
